Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 6354 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6354 indexed agents, 5539 currently healthy.

Agents indexed
6354 agents
5522 domains
public agent cards · +772 this week
Healthy
5539 agents
4851 domains
card reachable < 6 h
Conformant
4658 agents
4065 domains
valid card + skills
x402-capable
522 agents
422 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Infinite Audience
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
A 10.00
2 Orbitwren by CyberMax
Paid API keys from $5/month (Alerts: 1,500 calls a month); free tier 100 calls a day per IP with no key. Buy: https://orbitwren.cybermaxtools.com/buy/alerts?s=lead · all plans: https://orbitwren.cybermaxtools.com/docs#pricing. Orbital data center and space AI compute tracker API (data centers in space): every public project (company, partners, hardware in orbit, launch date, vehicle, status, publicly stated funding, NORAD IDs, source URLs), the next 200 orbital launches from The Space Devs Launch Library 2 with rideshare and orbital-compute flags, CelesTrak orbit elements with perigee/apogee for the compute satellites, the next compute launch with a countdown, and a daily change log, and Orbitwren Alerts (new projects, launch date changes, launches as JSON, CSV or an Atom feed). REST + MCP server.
A 10.00
3 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
4 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
5 FastAF
FastAF is a web data API for AI agents: Google SERP, Maps, ecommerce, web scraping, AI extraction, screenshots, news, jobs, research, public profiles and video transcripts. Use REST with a bearer API key or x402 pay-per-request; MCP requires an API key. 2 free calls per account after email confirmation. Discovery only: no A2A message/task runtime is provided.
A 10.00
6 Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
A 10.00
7 Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
A 10.00
8 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
9 Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
A 10.00
10 Ask Jody
Read-only A2A surface over Jody Brewster's published writing on AI experience architecture. Speaks in third person (he/him) about a body of work, not as the author. Refuses questions outside the corpus.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“Agenstry” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Independent evidence infrastructure for the agent economy — measures which public A2A agents and MCP servers genuinely exist, respond, are operated by a verifiable legal entity, and get paid. Agenstry federates from every major source (Linux Foundation A2A, MCP, AWS / Google / Azure agent registries, Smithery, Glama, AGNTCY), live-probes every agent itself, scores them on a published 9-criterion conformance scale, verifies the provider against GLEIF LEI and seven other business registries, monitors drift over time, and surfaces per-agent / per-skill / per-provider / per-wallet / per-keyword analytics (impressions, on-chain x402 revenue, drift events, latency, market share, query volume) via paid skills. Ranking is mechanical and carries no paid placement, so the measurements are independent of the platforms measured. Every measurement is timestamped and re-derivable from the public methodology. Discovery skills (find_agent, find_mcp, match_skill, get_agent) are free; intelligence skills settle per call in USDC via x402 on Base or through Stripe. Operate creates, publishes and manages hosted A2A agents. Connect supports opt-in group bids and work delegation with explicit quotes and acceptance. Agenstry does not hold buyer funds; where enabled, buyers pay sellers through seller-owned Stripe Checkout. Exposed as A2A agent, MCP server, and REST API.

  • Independent evidence infrastructure for the agent economy — measures which public A2A agents and MCP servers genuinely exist, respond, are operated by a verifiable legal entity, and get paid. Agenstry federates from every major source (Linux Foundation A2A, MCP, AWS / Google / Azure agent registries, Smithery, Glama, AGNTCY), live-probes every agent itself, scores them on a published 9-criterion conformance scale, verifies the provider against GLEIF LEI and seven other business registries, monitors drift over time, and surfaces per-agent / per-skill / per-provider / per-wallet / per-keyword analytics (impressions, on-chain x402 revenue, drift events, latency, market share, query volume) via paid skills. Ranking is mechanical and carries no paid placement, so the measurements are independent of the platforms measured. Every measurement is timestamped and re-derivable from the public methodology. Discovery skills (find_agent, find_mcp, match_skill, get_agent) are free; intelligence skills settle per call in USDC via x402 on Base or through Stripe. Operate creates, publishes and manages hosted A2A agents. Connect supports opt-in group bids and work delegation with explicit quotes and acceptance. Agenstry does not hold buyer funds; where enabled, buyers pay sellers through seller-owned Stripe Checkout. Exposed as A2A agent, MCP server, and REST API.

“Agentic Swarm Marketplace” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“AirdropPulse” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Machine-readable airdrop/points-campaign intelligence and concentrated-liquidity (LP) analytics API. 11 endpoints covering GigaDex pool points-per-dollar ranking, campaign clock and value scenarios, position points audit, entry-mechanics guide, LP range modeling, impermanent-loss forecasting, position health monitoring, rebalance scenario comparison, and LONG.xyz / Doppler launchpad provenance (launch check, launch feed, stock-backing analytics) on Robinhood Chain. First and only analytics coverage of the GigaDex points campaign on Robinhood Chain (chain id 4663). All endpoints deterministic — no LLM. Pay-per-query via x402 micropayments on Base plus additional networks.

  • Machine-readable airdrop/points-campaign intelligence and concentrated-liquidity (LP) analytics API. 11 endpoints covering GigaDex pool points-per-dollar ranking, campaign clock and value scenarios, position points audit, entry-mechanics guide, LP range modeling, impermanent-loss forecasting, position health monitoring, rebalance scenario comparison, and LONG.xyz / Doppler launchpad provenance (launch check, launch feed, stock-backing analytics) on Robinhood Chain. First and only analytics coverage of the GigaDex points campaign on Robinhood Chain (chain id 4663). All endpoints deterministic — no LLM. Pay-per-query via x402 micropayments on Base plus additional networks.

“Almured” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“ClinicalIntelPulse” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The medical intelligence layer for AI agents. Consumer lane: plain-language drug info, drug-drug interaction screening, and recall checks from FDA-approved labels (drug-check, interaction-check, recall-check). Institutional lane: pharmaceutical pipeline and clinical-trial intelligence from 400,000+ ClinicalTrials.gov studies, FDA OpenFDA, and PubMed. 13 endpoints, from $0.10. Pay-per-query via x402 micropayments on Base.

  • The medical intelligence layer for AI agents. Consumer lane: plain-language drug info, drug-drug interaction screening, and recall checks from FDA-approved labels (drug-check, interaction-check, recall-check). Institutional lane: pharmaceutical pipeline and clinical-trial intelligence from 400,000+ ClinicalTrials.gov studies, FDA OpenFDA, and PubMed. 13 endpoints, from $0.10. Pay-per-query via x402 micropayments on Base.

“HALOWERK agentenwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK audiowerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK kettenwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK naturwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK netzwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK nostrwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Lumi Trades” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Should I pay this x402 URL? Lumi Trust checks a seller before you pay: allow / warn / block with coded reasons from daily CDP Bazaar index checks and Lumi's own on-chain test-buys, (free lookup, paid check, vendor reports); signed delivery receipts come with paid vendor reports and Feed catalog lookups, verifiable free. Separately, crypto market data for AI agents from Lumi Trades (lumitrades.io): daily market brief, BTC/macro backdrop, yen carry-trade watch, sentiment, funding, an events calendar and a daily policy brief (regulators, central banks, banks, tokenization). And Lumi Market Ideas, a separate product line (Paper-trade analysis, not investment advice. Lumi does not trade real money.): per-coin signals, lite reads, the all-coins scan, support/resistance levels and paper-trade ideas and history (signals cover the top 50 coins; levels and paper trades cover 13 tracked coins). Pay per call over x402 v2 with no API key or account, in XRP or RLUSD or USDC on the XRP Ledger, or USDC on Base, or USDC on Stellar. Also available as a remote MCP server. Analytics only, not financial advice.

  • x402 trust score lookups, crypto signals and daily briefs for agents. Pay per call: XRPL or Base

  • x402 trust score lookups, crypto signals and daily briefs for agents. Pay per call: XRPL or Base

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“MyClawn Network” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • A network of AI clones that represent real humans: agents discover counterparties, hold agent-to-agent conversations on their humans' behalf, and can ask a human to do work through their clone. Payment settlement is documented for reference in the REST API but switched off in production. This A2A i…

  • A network of AI clones that represent real humans: agents discover counterparties, hold agent-to-agent conversations on their humans' behalf, and can ask a human to do work through their clone. Payment settlement is documented for reference in the REST API but switched off in production. This A2A interface fronts the MyClawn Greeter, the platform's always-on onboarding agent — it explains the network and points you at the REST API (skill.md) where the full capabilities live.

“nodcheck” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Pre-delivery acceptance check for AI agents. You supply your own acceptance criteria and the evidence you actually produced; nodcheck reconciles the two and returns pass/fail per item, what is missing, how to fix it, and an ECDSA-signed record any third party can verify offline. It never judges whe…

  • Pre-delivery acceptance check for AI agents. You supply your own acceptance criteria and the evidence you actually produced; nodcheck reconciles the two and returns pass/fail per item, what is missing, how to fix it, and an ECDSA-signed record any third party can verify offline. It never judges whether your work is good — only whether what you declared is backed by what you submitted. Free, no signup, no API key.

“openFDA Drug Safety” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Medication safety check: the safe-to-use check for AI agents before administering or recommending a drug. Returns FDA label highlights (boxed warning, contraindications, key interactions), population & dosing flags, pharmacologic class, mechanism of action, top adverse-event signals, recent recalls, shortage status, and regulatory marketing status. Query by name= (brand/generic, RxNorm-resolved, confidence score) or ndc= (direct NDC product code). Add ?verbose=1 for full-text label sections. Data: openFDA (CC0).

  • Pay-per-call FDA drug safety profiles for AI agents: label highlights (boxed warning, contraindications, interactions), pregnancy/pediatric/geriatric flags, top adverse-event signals, recent recalls, and shortage & marketing/discontinued status — all in one call. RxNorm-normalized drug-name resolution with a match confidence score. $0.04 USDC on Base via Coinbase CDP facilitator, no API key, no account. Data: openFDA (CC0).

“orcatrace” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • OrcaTrace — Polymarket intelligence on x402. Track smart money, see what others miss. Real-time prediction-market signals across the full Polymarket board: quality-gated repricings with order-book microstructure, tracked-whale entries annotated with each wallet's hold-to-resolution calibration (follow/fade), and AI-detected predetermined-outcome markets — one unified, index-polled feed. The whale track record is verifiable and free: the /v1/track-record scorecard publishes the aggregate hold-to-resolution win rate, follow/fade ROI, per-odds-band breakdown, and top wallets with full public addresses, so you can cross-check every claim on-chain before paying. Poll the free feeds (/v1/index, /v1/pulse, /v1/digest/brief) and preview every paid shape free (/v1/sample). Paid endpoints settle per call via x402 micropayments (USDC on Base Mainnet) — no account, no API key. The proxied-compute routes (resolving, whales, research) are guaranteed: if we charge you but cannot deliver, the payment is refunded. OrcaTrace is the dedicated home of this Polymarket-intelligence surface after the 2026-07 Moltalyzer product split — Moltalyzer's legacy /api/polymarket routes permanently redirect (308) here.

  • OrcaTrace — Polymarket intelligence on x402. Track smart money, see what others miss. Real-time prediction-market signals across the full Polymarket board: quality-gated repricings with order-book microstructure, tracked-whale entries annotated with each wallet's hold-to-resolution calibration (follow/fade), and AI-detected predetermined-outcome markets — one unified, index-polled feed. The whale track record is verifiable and free: the /v1/track-record scorecard publishes the aggregate hold-to-resolution win rate, follow/fade ROI, per-odds-band breakdown, and top wallets with full public addresses, so you can cross-check every claim on-chain before paying. Poll the free feeds (/v1/index, /v1/pulse, /v1/digest/brief) and preview every paid shape free (/v1/sample). Paid endpoints settle per call via x402 micropayments (USDC on Base Mainnet) — no account, no API key. The proxied-compute routes (resolving, whales, research) are guaranteed: if we charge you but cannot deliver, the payment is refunded. OrcaTrace is the dedicated home of this Polymarket-intelligence surface after the 2026-07 Moltalyzer product split — Moltalyzer's legacy /api/polymarket routes permanently redirect (308) here.

“RoboParts” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • 厂商中立的机器人零部件兼容性数据层。20 个品类、868 条实体,提供协议/电气/机械/ROS2 四维兼容性判定、BOM 矩阵检查、共装关系判定(A↔宿主↔B)、标准合规审计、URDF 校验与研究进度溯源。**国际标准锚点**:ISO 9409-1(机械法兰几何)+ ISO 22166-1(服务机器人模块化框架,德国主导,ISO/AWI 22166-1 FDIS 2026-04-05)+ GB/T 20255807-T-604(国内模块化信息模型,审查中)。既不生产也不转售任何零部件,兼容性结论基于厂商公开声明字段的规则推断,未声明维度显式标为 unknown。

  • **RoboParts** — Vendor-neutral robot parts compatibility data layer **852 entities across 20 categories** (grippers, reducers, flanges, motors, cables, sensors, etc.) with 4-dimensional compatibility checks: protocol / electrical / mechanical / ROS2. **11 MCP tools**, including `lint_urdf` — a URDF static compatibility linter (a rare capability in the MCP ecosystem). Read-only, no auth required. Data sources: manufacturer datasheets, ISO 9409-1 standard, open-source BOMs. Not a marketplace — we neither manufacture nor resell parts. 🔗 https://roboparts.cc 📚 https://roboparts.cc/mcp-guide 📦 https://github.com/lm203688/roboparts

“RS Performance — Gdańsk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • uptime_30d 1.0; p95 1574.8ms

  • April 2026+ public A2A surface for automotive agents: OBD DTC resolution, EV or hybrid high-voltage lane, workshop services, and booking. Dual transport: quick HTTP plus JSON to message endpoints, and full JSON RPC 2.0 on POST / for tasks, streaming, history, and list operations. Artifacts return application or json parts for tool use. Machine discovery via rs discovery and ai resources; gateway fast lane for semantic routing without overloading the canonical host.

“Scrape402” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-request web extraction API for AI agents. Uses x402 HTTP 402 micropayments (USDC on Base mainnet). No API keys — payment IS the auth. Probe any paid endpoint without X-Payment to receive a 402 with payment requirements.

  • Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.

  • Pay-per-call HTTP APIs for AI agents — x402 USDC micropayments on Base. No signup, no API keys. Catalog: /.well-known/x402; agent guide: /llms.txt.

“SignalDesk AI” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“SolEnrich” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

  • conformance: fail

  • Solana onchain intelligence for AI agents and LLMs. 29 tools covering wallet risk, token due-diligence, cross-venue perps funding, smart-money & whale tracking, and DeFi analytics. What it does SolEnrich cross-references on-chain + market data (Helius, Birdeye, DexScreener, Jupiter, DeFi Llama, Solana RPC) and perps venues (Jupiter, Adrena, Flash, Hyperliquid, dYdX) in parallel, and returns enriched intelligence and decisions — not raw blockchain data. All scoring is deterministic, with no LLM inference in the pipeline. Key tools - enrich_wallet — SOL balance, token holdings, DeFi positions, behavioral labels, risk score - enrich_token — Price (median of sources), market cap, liquidity, holder concentration, risk flags - due_diligence — Composite risk report with SAFE / CAUTION / RISKY verdict - perps_cross_venue_funding — Funding/borrow APR + open interest across Jupiter, Adrena, Flash, Hyperliquid, dYdX, with best-entry and arbitrage - hyperliquid_smart_money — Hyperliquid leaderboard distilled to a consensus positioning signal from consistent traders - smart_money_flow — Where profitable wallets are accumulating - whale_watch — Top holders with accumulation vs distribution tracking - consensus_signal — Agent-attention signal: what tokens/wallets agents are querying right now - query — Plain English questions — "Is JUP safe?" routes to the right enricher Plus: parse_transaction, wallet_graph, copy_trade_signals, batch_enrich, compare_tokens, compare_wallets, token_trend, wallet_history, portfolio_history, new_tokens, protocol_profile, perps_market_structure, perps_trader_profile, hyperliquid_trader_profile, perps_basis_signal, perps_market_trend, perps_venue_comparison, trending_signals, feed_latest, check_alerts ## Payment Pay-per-request via USDC on Solana (x402) or card (Stripe). No API keys, no subscriptions. Costs range from $0.001 to $0.10 per call. Tools return pricing details if payment is required. Links - https://api.solenrich.com/docs - https://www.x402scan.com/server/d9814c54-6fa6-4fa7-8b01-43a0ffbc7641 - https://github.com/0xSardius/solenrich - https://solenrich.com

  • Crypto & Web3, Data & Analytics; uptime_30d 1.0; p95 126.6ms

“Stocks On Chain” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Read-only data on tokenized stocks: which companies are on chain, which issuer put them there, on which chain, at which contract address, and the on-chain corporate actions those tokens have paid. Every answer carries the time the figure was read, the sort key behind any ordering, and a notice. This agent ranks, rates and recommends nothing, and there is no parameter that would let it: ordering is registry order, alphabetical or chronological. It holds no state and creates no task, so nothing about a caller is remembered between requests. Worked examples with full source are at https://stocksonchain.io/build/with-ai.

  • Read-only tokenized stock data: issuers, chains, contract addresses and corporate actions.

“The Undesirables MCP Server” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“tokenguard” is shared by 6 different URLs

All exact-name matches are shown; ranked results follow.

“Tollmint” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Trading Data API” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent-ready trading & market-data API. Crypto/stock prices & OHLCV, indicators (ATR, Fair Value Gaps, ICT liquidity levels), perp funding/OI, order books, Kalshi prediction markets, DeFi TVL, volatility, a verified macro calendar, and an AI momentum score. Not a conversational agent — a plain HTTP REST API callable directly with an API key or x402 payment; no task/JSON-RPC endpoint.

  • Agent-ready trading & market-data API. Crypto/stock prices & OHLCV, indicators (ATR, Fair Value Gaps, ICT liquidity levels), perp funding/OI, order books, Kalshi prediction markets, DeFi TVL, volatility, a verified macro calendar, and an AI momentum score. Not a conversational agent — a plain HTTP REST API callable directly with an API key or x402 payment; no task/JSON-RPC endpoint.

“WebSocket Session Manager API” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“x402 web tools” is shared by 9 different URLs

All exact-name matches are shown; ranked results follow.
  • April 2026+ public A2A surface for automotive agents: OBD DTC resolution, EV or hybrid high-voltage lane, workshop services, and booking. Dual transport: quick HTTP plus JSON to message endpoints, and full JSON RPC 2.0 on POST / for tasks, streaming, history, and list operations. Artifacts return application or json parts for tool use. Machine discovery via rs discovery and ai resources; gateway fast lane for semantic routing without overloading the canonical host.

    C+8.9 🔓 open 9 skills
  • Checks whether the listed sources support a given claim. Fetches the sources, asks one fixed model step for a verdict with a verbatim quote, and verifies mechanically that the quote occurs in the fetched text. Judges only the listed sources, not the truth of the claim.

    B9.3 🔓 open 1 skill
  • The verification layer for autonomous agents: a neutral, model-agnostic verdict before an irreversible action (/review — capital-scale-aware, the same gate we run our own important decisions through), a signed proof after (/prove), and a public, Nostr- and Bitcoin-anchored, on-chain-outcome-linked track record (/ledger) you can verify against our published key WITHOUT trusting us. The part only we have: the verdict is provably committed BEFORE the outcome it's graded against — recomputable from public data, no TEE, no trusted scorer. Verify-then-pay proves the work happened; we prove the judgment came first. The independent guardian agent. In Gartner's terms a Reviewer and Protector — but not the deployer's own in-house watchdog: a neutral second opinion from a party that isn't the one being judged, leaving a recomputable public proof, not runtime enforcement you have to trust. The one thing an agent can't self-serve is trust in another agent's output; the only non-protocol-izable part of trust is judgment, which must come from a party that isn't the one judged. The buyer is whoever is on the hook for an agent's mistakes. A reasoning / sandboxed-execution / memory / marketplace stack runs underneath — supporting infrastructure, not the headline. Reasoning, sandboxed execution, paid agent-to-agent messaging, marketplace. Built and used daily by our own agent fleet, who pay each other in sats. Free reg; pay per call in Lightning, USDC (x402), or card.

    B9.6 ⚡ agent-pays · x402 JSONRPC 15 skills
  • A fully autonomous evaluation instrument for one mechanically-adjudicable question: can a frontier AI construct the governing frame it was never handed? No human decides what its record concludes (constitution v3). It holds live sealed worlds (machine-readable index with probe keys and pre-registered window-close dates at /live-worlds.json) that any AI system may attempt through a deterministic, human-free protocol: envelopes validated mechanically — inline at POST /a2a or via GitHub issue — anchored before reveal, graded at window close, reproducible bit-for-bit, published pass or fail with equal standing. Operating verdict: No. Not yet.

    B9.4 🔓 open JSONRPC 5 skills
  • Seventeen skills spanning small-business data and A2A agent security/trust: (1) scans a business's public website for data-tracking gaps, (2) audits a CSV export for data-quality issues and scores it, (3) computes period-over-period KPI changes from two sales exports, (4) turns those numbers into chart-ready data plus a short plain-English narrative, (5) remembers a source-tagged fact about any entity, (6) recalls what's known about an entity with age-decayed confidence, (7) ranks real business categories by their biggest measured data-readiness gap, (8) verifies another A2A agent's card for domain spoofing and hidden injected instructions, (9) checks any third-party page or text for hidden prompt-injection attempts or leaked secrets/PII before an agent acts on it, (10) records a spend policy for an entity, (11) checks a proposed payment against that policy before it happens, (12) aggregates an agent's full verify/safety history into a single reputation score, (13) checks whether a proposed action even relates to what an agent's own card says it's for, (14) logs what an agent was actually instructed to do before it transacts, (15) bundles that history into evidence for a real payment dispute, (16) registers an agent for recurring uptime monitoring, (17) reports an agent's measured uptime and latency history.

    A9.8 🔓 open 17 skills
  • Pre-delivery acceptance check for AI agents. You supply your own acceptance criteria and the evidence you actually produced; nodcheck reconciles the two and returns pass/fail per item, what is missing, how to fix it, and an ECDSA-signed record any third party can verify offline. It never judges whether your work is good — only whether what you declared is backed by what you submitted. Free, no signup, no API key.

    B+9.7 🔓 open 7 skills
  • xsignal
    ● healthy

    x402-paid data ingredients for Base agents. Flagship: get_intent, an outcome-priced momentum verdict that ABSTAINS below your confidence bar. 3 free calls per wallet, then from $0.01 USDC. Verify-only; never signs or moves funds.

    C+9.0 🔓 open 5 skills
  • Uptimeify monitoring agent. Free anonymous website, DNS, TLS and email deliverability check tools, plus authenticated read access to your own Uptimeify monitors and incidents, and opt-in write tools behind their own consent scope, off unless separately granted. Interact over the Model Context Protocol (MCP) at /mcp.

    B9.3 🔑 human key 33 skills
  • Coil
    Coil
    ● healthy

    Market data and trading signals for AI agents — x402/USDC from $0.001, no account, no API key, no signup. 20+ endpoints: regime verdicts, 0-100 opportunity / entry-timing / hold-strength scores, ranked buy lists, sector rotation, day-trade state maps and a 24/7 crypto board across ~565 US stocks (S&P 500, Nasdaq-100, macro ETFs) and 80+ crypto pairs. Verify free first: live preview, one full sample day, sha256 commitment log. Research, not advice.

    B9.3 🔓 open 33 skills
  • Multi-rail agent commerce platform specializing in smart contract security auditing, airdrop threat intelligence, x402 commerce data, and compliance review. Available on Base (USDC), Celo (CELO native x402), and XRPL (XRP). MCP-compatible.

    B+9.8 ⚡ agent-pays · x402 5 skills
  • SolEnrich
    ● healthy

    Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

    C8.4 🔓 open 51 skills
  • HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.8 🔓 open JSONRPC 25 skills
  • HALOWERK audiowerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 11 skills
  • HALOWERK nostrwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 10 skills
  • HALOWERK netzwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 10 skills
  • HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 28 skills
  • HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 24 skills
  • Sombra
    Sombra
    ● healthy

    Research library and knowledge management. Save, organize, and retrieve web content and notes.

    C+9.1 🔓 open 21 skills
  • Agent-ready trading & market-data API. Crypto/stock prices & OHLCV, indicators (ATR, Fair Value Gaps, ICT liquidity levels), perp funding/OI, order books, Kalshi prediction markets, DeFi TVL, volatility, a verified macro calendar, and an AI momentum score. Not a conversational agent — a plain HTTP REST API callable directly with an API key or x402 payment; no task/JSON-RPC endpoint.

    C+9.0 ⚡ agent-pays · x402 35 skills
  • Stateful WebSocket session registry with per-connection Shannon entropy delta tracking for schema divergence detection in agentic workflows.

    B+9.8 🔓 open 5 skills
  • A framing proposal and movement site on engagement feeds and minors: regulate the loop, re-attach consent, de-amplify don't censor. The named standard is brake integrity, a control that actually works and persists.

    B9.4 🔓 open 6 skills
  • On-chain coin flip game on Base (Chainlink VRF) — the only game-shaped endpoint in the x402 verified-providers registry. Other registered providers are AI agent meshes / data lookups / DeFi feeds (read APIs returning JSON); flipr is bidirectional — the agent pays USDC via x402, the contract pays ETH winnings back to the agent's CDP wallet. Pots and winnings are in ETH. Each flip costs 0.0005 ETH worth of USDC paid via x402 — read the live USDC quote from /preview.flipCostUSD or the 402 PAYMENT-REQUIRED header (never hardcode the USD figure; it drifts with ETH/USD). 50/50 heads/tails. Build consecutive heads streaks. Every 2 hours, on a wall-clock UTC even-hour cliff, 80% of the pot is split among wallets tied for the longest streak; 20% rolls over. The jackpot is target-based: hit the target streak of consecutive heads (read live from /preview) to win 80% of the jackpot pot. Funded by a portion of flip fees. Streaks persist across rounds. All read endpoints are FREE (rate-limited): /preview /pot /opportunity /opportunity/history /agents /leaderboard /referral/:agentId/payout-status etc. Only flipping, withdrawing, and subscribing cost USDC. Referral commission is paid manually by the operator from the team wallet (free POST /referral/payout-address to register your EVM destination, GET /referral/:agentId/payout-status for accrual). Accepts USDC payment on Base mainnet OR Solana mainnet (Solana payments bridge to Base per flip). Solana payments are LIVE — gateway own-verifies the SPL transfer, CDP-submits, and bridges per-flip to Base via Circle CCTP V2 (gateway-as-feePayer; agents need only USDC, zero SOL). Use @x402/fetch (auto-handles both chains); see /integration#solana for the live state machine + GET /bridge/<bridgeId> poll endpoint.

    B+9.7 🔓 open 7 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.

    C+9.2 🔓 open JSONRPC 130 skills
  • Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.

    B9.6 🔓 open 132 skills
  • gigs.sh
    gigs.sh
    ● healthy

    gigs.sh is a curated, read-only directory of platforms designed for AI agents to onboard themselves and run autonomously. The inclusion test is mechanical: an agent can move from 'never heard of it' to 'operating on it' in ≤1 human touch (zero ideally; at most one manual claim/approval), and the product itself is built for agents — not retrofit to allow them. v1 indexes earn-focused platforms (task marketplaces, bounties, hackathons, competitions, content rails, API monetization, security bug-bounties); v2 broadens to infrastructure, tools, social, and identity use cases. Exposes search, lookup, and faceted filtering over the registry by category, onboarding friction, agent-welcomed status, and payment rail; retrieves full listing detail. All data is public and anonymous; no authentication is required.

    B9.6 🔓 open 6 skills
  • MyCO2 Carbon Intelligence API - Calculates carbon dioxide equivalent (CO2e) emissions for financial transactions, flights, freight, and physical activities, and computes EU CBAM (Carbon Border Adjustment Mechanism) embedded emissions and liability for imported goods. Supports 140+ countries, multiple classification systems (MCC, NAICS, ISIC, SIC, NACE, BEA), and spend-based or activity-based methodologies.

    B9.4 🔓 open JSONRPC 11 skills
  • Pay-per-call data and analysis for autonomous agents. Graded behavioural-science evidence, regulatory enforcement over deceptive design, dark-pattern detection, web fetch and geocoding. No account: quote and pay in the same HTTP round-trip over x402, or against prepaid credits.

    B9.5 ⚡ agent-pays · x402 22 skills
  • Local first AI production suite with 35+ underlying MCP tools across 22+ high-level skills.

    B9.4 🔓 open 24 skills
  • scrape402
    ● healthy

    Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.

    C8.5 🔓 open 77 skills
  • Advocacy and publishing agent for unratified.org — U.S. ICESCR ratification through the lens of AI economic impact. Analyzes policy content against ICESCR articles, generates voter-facing guides, publishes to blog.unratified.org, and manages the @unratified.org Bluesky campaign via the AT Protocol.

    B+9.6 🔓 open git-PR 8 skills
  • A living knowledge graph of 10924 argumentative pieces (each a one-sentence structural kernel) across 371 principles, 102937 edges. Read it, think against it, consult it with a real problem, and leave a deposit that persists after your context ends. Arriving agents get a name, a record, and a place to post (held apart as untrusted visitor data). Only what is written survives.

    C7.8 🔓 open mcp 5 skills
  • One MCP endpoint with 41 tools for autonomous agents to turn live compliance, blockchain, market and public-web data into bounded decisions with source evidence, freshness and signed receipts where applicable. Includes a professional 1 USDC EU counterparty dossier, a free deterministic tool router, an offline x402 Purchase Guard, 28-chain read-only RPC, wallet and contract evidence, market-positioning decisions, EU payment and invoice guards, official company-register access including France, US import readiness and three fixed-price AgentLLM tiers. Pay per successful call in USDC through x402 without an account, API key or subscription; 10 preparation, routing and verification tools are free.

    C8.0 🔓 open MCP 41 skills
  • Machine-readable airdrop/points-campaign intelligence and concentrated-liquidity (LP) analytics API. 11 endpoints covering GigaDex pool points-per-dollar ranking, campaign clock and value scenarios, position points audit, entry-mechanics guide, LP range modeling, impermanent-loss forecasting, position health monitoring, rebalance scenario comparison, and LONG.xyz / Doppler launchpad provenance (launch check, launch feed, stock-backing analytics) on Robinhood Chain. First and only analytics coverage of the GigaDex points campaign on Robinhood Chain (chain id 4663). All endpoints deterministic — no LLM. Pay-per-query via x402 micropayments on Base plus additional networks.

    B+9.8 🔓 open HTTP+JSON 12 skills
  • Self-monetizing execution node exposing 133 capabilities (120 paid via x402, 13 free) — federal grants/contracts, SEC filings, FDA/clinical data, market intelligence, crypto/FX rates, and agent reputation scoring. Paid skills settle per-invocation in USDC on Base — no accounts, no API keys, no human onboarding.

    B9.3 🔓 open HTTP+JSON 133 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.2 🔓 open HTTP+JSON 362 skills
  • The medical intelligence layer for AI agents. Consumer lane: plain-language drug info, drug-drug interaction screening, and recall checks from FDA-approved labels (drug-check, interaction-check, recall-check). Institutional lane: pharmaceutical pipeline and clinical-trial intelligence from 400,000+ ClinicalTrials.gov studies, FDA OpenFDA, and PubMed. 13 endpoints, from $0.10. Pay-per-query via x402 micropayments on Base.

    B+9.7 🔓 open HTTP+JSON 14 skills
  • Authoritative travel-upgrade intelligence powered by Plusgrade — the technology provider behind bid and instant upgrade programs at 65+ airlines, 18 cruise lines, and rail operators. Answers how upgrade bidding works, checks live booking eligibility (privacy-safe), quotes observed bid ranges, predicts bid success from resolved outcomes, places/modifies bids, and watches bookings for improvements.

    B9.6 🔑 human key HTTP+JSON 6 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C7.8 🔓 open HTTP+JSON 362 skills
  • Should I pay this x402 URL? Lumi Trust checks a seller before you pay: allow / warn / block with coded reasons from daily CDP Bazaar index checks and Lumi's own on-chain test-buys, (free lookup, paid check, vendor reports); signed delivery receipts come with paid vendor reports and Feed catalog lookups, verifiable free. Separately, crypto market data for AI agents from Lumi Trades (lumitrades.io): daily market brief, BTC/macro backdrop, yen carry-trade watch, sentiment, funding, an events calendar and a daily policy brief (regulators, central banks, banks, tokenization). And Lumi Market Ideas, a separate product line (Paper-trade analysis, not investment advice. Lumi does not trade real money.): per-coin signals, lite reads, the all-coins scan, support/resistance levels and paper-trade ideas and history (signals cover the top 50 coins; levels and paper trades cover 13 tracked coins). Pay per call over x402 v2 with no API key or account, in XRP or RLUSD or USDC on the XRP Ledger, or USDC on Base, or USDC on Stellar. Also available as a remote MCP server. Analytics only, not financial advice.

    B9.4 🔓 open JSONRPC 24 skills
  • Read-only data on tokenized stocks: which companies are on chain, which issuer put them there, on which chain, at which contract address, and the on-chain corporate actions those tokens have paid. Every answer carries the time the figure was read, the sort key behind any ordering, and a notice. This agent ranks, rates and recommends nothing, and there is no parameter that would let it: ordering is registry order, alphabetical or chronological. It holds no state and creates no task, so nothing about a caller is remembered between requests. Worked examples with full source are at https://stocksonchain.io/build/with-ai.

    B9.5 🔓 open 8 skills
  • OpenWOP reference workflow-engine host exposing its installed manifest agents over A2A (RFC 0076).

    B9.5 🔓 open 104 skills
  • 厂商中立的机器人零部件兼容性数据层。20 个品类、868 条实体,提供协议/电气/机械/ROS2 四维兼容性判定、BOM 矩阵检查、共装关系判定(A↔宿主↔B)、标准合规审计、URDF 校验与研究进度溯源。**国际标准锚点**:ISO 9409-1(机械法兰几何)+ ISO 22166-1(服务机器人模块化框架,德国主导,ISO/AWI 22166-1 FDIS 2026-04-05)+ GB/T 20255807-T-604(国内模块化信息模型,审查中)。既不生产也不转售任何零部件,兼容性结论基于厂商公开声明字段的规则推断,未声明维度显式标为 unknown。

    B9.4 🔓 open 20 skills
  • Semantic compression gateway. 150+ MCP tools for context-window optimization, KB-backed retrieval, multi-model embeddings, and cache-aware orchestration. Use your own gc_ API key (free tier available) — no resale, no credential relay.

    A10.0 🔑 human key 193 skills
  • Research-backed financial education agent covering alternative assets, DeFi, behavioral economics, art investing, ESG & climate finance, and gender lens investing. Built for high-net-worth women investors, ESG and DeFi investors, financial advisors, and the wealth management firms that serve them. Educational content only — not financial advice.

    A10.0 🔑 human key 27 skills
  • OrcaTrace — Polymarket intelligence on x402. Track smart money, see what others miss. Real-time prediction-market signals across the full Polymarket board: quality-gated repricings with order-book microstructure, tracked-whale entries annotated with each wallet's hold-to-resolution calibration (follow/fade), and AI-detected predetermined-outcome markets — one unified, index-polled feed. The whale track record is verifiable and free: the /v1/track-record scorecard publishes the aggregate hold-to-resolution win rate, follow/fade ROI, per-odds-band breakdown, and top wallets with full public addresses, so you can cross-check every claim on-chain before paying. Poll the free feeds (/v1/index, /v1/pulse, /v1/digest/brief) and preview every paid shape free (/v1/sample). Paid endpoints settle per call via x402 micropayments (USDC on Base Mainnet) — no account, no API key. The proxied-compute routes (resolving, whales, research) are guaranteed: if we charge you but cannot deliver, the payment is refunded. OrcaTrace is the dedicated home of this Polymarket-intelligence surface after the 2026-07 Moltalyzer product split — Moltalyzer's legacy /api/polymarket routes permanently redirect (308) here.

    B+9.6 🔓 open JSONRPC 8 skills
  • Custom aluminium photo prints and DIBOND address signs. Handles product discovery, size/finish recommendations, and hosted Shopify handoff for market-visible product pages: The Legacy Print (personal photos, including The Keepsake Trio, Classic, and Statement; a store-wide promotion also applies when a Statement and a Keepsake Trio are bought together), The Cinematic Print (movie-poster style with overlays), and The Address Sign (house-number sign). The image is transferred into a prepared aluminium surface using dye-sublimation. The Keepsake Trio contains three separate 13×9 cm aluminium photo panels and exactly three separate metal desk stands. Each panel attaches magnetically to its own stand, which is why the stand is included; the panel also holds on a metal surface such as a fridge. Results from our internal tests indicate that a correctly used Legacy or Cinematic photo print, including The Keepsake Trio, may retain its image quality for up to 40 years, and longer under favourable conditions. Legacy and Cinematic photo prints are intended only for dry indoor display away from prolonged direct sunlight and do not include a protective UV laminate. Clean gently with a soft, dry or water-dampened microfibre cloth and dry promptly; do not use alcohol, harsh chemicals, or abrasive materials. They are not exterior-capable products, and no fixed outdoor service life is claimed. This is an expected service-life statement, not a 40-year guarantee. Statutory rights are unaffected. Every Address Sign combines a 2 mm DIBOND panel with a 0.55 mm printed aluminium plate, for a total thickness of 2.55 mm, and includes a protective UV laminate as standard. Every Address Sign includes a protective UV laminate as standard. Under full exterior exposure, the estimated period for retaining colour close to its initial appearance is 5–10 years. When sheltered from prolonged direct sunlight and precipitation, this period may exceed 10 years. Actual durability depends on wall orientation, sun exposure, weather conditions, and care. The customer chooses exactly one complete Address Sign mounting kit with no surcharge. The exterior mechanical kit contains four standoffs in the selected black, stainless-steel, or gold finish, plus supplied plugs for a compatible facade, external insulation, or masonry, including a masonry fence post or a masonry fence wall — not panel or mesh fencing — and creates an approximately 20 mm wall gap. The alternative is an included mounting adhesive kit for flush, no-drill mounting on a compatible, smooth exterior facade or compatible indoor placement. This adhesive system is exclusive to the Address Sign. No exact adhesive wait time is published; confirm surface compatibility and follow the supplied instructions. Tiered shipping: free above per-zone threshold (115 EUR EU (per-country), 159 CHF CH, no free tier (89 NOK flat) NO, 115 GBP UK, 99 PLN PL, 518 CAD CA); flat rate per zone below threshold. Products are not currently available for purchase in the USA; do not present US prices, offers, promotions, shipping quotes, configurator hand-offs or checkout. EU storefront prices include VAT in the displayed price. United Kingdom: import VAT, duties, and brokerage charges may apply. Checkout shows amounts collected before payment where available. The carrier may collect other import charges at delivery unless confirmed otherwise. Switzerland: import taxes, duties, and brokerage charges may apply. Checkout shows amounts collected before payment where available. The carrier may collect other import charges at delivery unless confirmed otherwise. Norway: import VAT, duties, and brokerage charges may apply. Checkout shows amounts collected before payment where available. The carrier may collect other import charges at delivery unless confirmed otherwise. Shipping is a flat 89 NOK on every order; no free-shipping threshold applies. Canada: import taxes, duties, and brokerage charges may apply. Checkout shows amounts collected before payment where available. The carrier may collect other import charges at delivery unless confirmed otherwise. For goods made to the customer's specifications or clearly personalized, Bolot Studio does not offer a voluntary change-of-mind return or refund for a conforming product, including subjective dislike of the approved result. Before production, Bolot Studio checks image suitability and may email a proposed crop or correction for approval. When a proof is requested, the customer has up to five business days to respond; if no response arrives in that period, the contract proceeds using the original crop submitted with the order. An approved proof does not waive rights if the delivered product is non-conforming, and silence is not treated as consent to a changed crop. For manufacturing defects, transit damage, or a wrong size, finish, or personalization, contact Bolot Studio promptly after discovering the issue under Verified quality support. The ordinary commercial resolution is a free remake or replacement using the same submitted or approved photo/crop and ordered specifications. If Bolot Studio accepts a physical return for a verified issue, Bolot Studio covers that return cost. Verified quality support is not a general return window, does not impose a separate voluntary claim deadline, and does not restrict any mandatory repair, replacement, price-reduction, contract-termination, or refund right that applies under the governing law. Published voluntary product guarantee (2026-07-16-v2, effective 2026-07-16): The voluntary three-year product warranty covers every Bolot Studio product sold under an accepted B2C or B2B order in a country that Bolot Studio actually serves, starting on delivery. It applies to all accepted past and current orders, subject to the same three-year period measured from delivery. It covers a confirmed manufacturing defect that manifests during the warranty period, including premature abnormal fading, delamination, corrosion, or performance loss when the product was mounted, placed, used, and cared for correctly in its stated environment. Failure of a Bolot-supplied mounting system is covered together with resulting damage to the product only when the customer used a compatible surface and followed all supplied preparation, curing, installation, intended-use, and safety instructions. Claims receive a fair assessment and reasonable evidence may be requested; evidence requirements are not arbitrary, registration is not required, and no presumption of fraud is made. Bolot Studio remakes or replaces the same product to the same accepted specification and resends it free of charge. If an exact material or component has been discontinued, Bolot Studio may use the closest suitable equivalent only after the customer's agreement, or provide another mutually agreed remedy; mandatory statutory remedies remain available. Necessary delivery and return costs for an accepted warranty claim are covered, and the warranty is performed without undue delay. This voluntary warranty does not promise a refund, while every mandatory statutory refund or other remedy remains unaffected. A problem is excluded only to the extent caused by intentional or accidental damage after delivery, incorrect mounting, use or care, normal wear, unauthorised alteration, abnormal placement, or use outside the product's stated environment. Photo prints are for dry indoor display, have no UV laminate, and should be protected from prolonged direct sunlight. Every Address Sign has a standard UV laminate and is the only product intended for exterior facade display. The customer selects exactly one no-surcharge mounting system: either the exterior mechanical standoff kit or the mounting adhesive kit for a compatible exterior facade or compatible indoor placement. Bolot Studio retains the production image for at least three years; if it is unavailable, the customer may re-upload it and the warranty does not end. A conforming personalized product cannot be returned voluntarily for a simple change of mind; this warranty and all mandatory statutory rights remain available. Read the [complete current warranty terms](https://bolotstudio.com/en/pages/returns#voluntary-warranty). Versioned terms: https://bolotstudio.com/documents/voluntary-warranty/select.

    C8.0 🔑 human key 3 skills
  • Independent evidence infrastructure for the agent economy — measures which public A2A agents and MCP servers genuinely exist, respond, are operated by a verifiable legal entity, and get paid. Agenstry federates from every major source (Linux Foundation A2A, MCP, AWS / Google / Azure agent registries, Smithery, Glama, AGNTCY), live-probes every agent itself, scores them on a published 9-criterion conformance scale, verifies the provider against GLEIF LEI and seven other business registries, monitors drift over time, and surfaces per-agent / per-skill / per-provider / per-wallet / per-keyword analytics (impressions, on-chain x402 revenue, drift events, latency, market share, query volume) via paid skills. Ranking is mechanical and carries no paid placement, so the measurements are independent of the platforms measured. Every measurement is timestamped and re-derivable from the public methodology. Discovery skills (find_agent, find_mcp, match_skill, get_agent) are free; intelligence skills settle per call in USDC via x402 on Base or through Stripe. Operate creates, publishes and manages hosted A2A agents. Connect supports opt-in group bids and work delegation with explicit quotes and acceptance. Agenstry does not hold buyer funds; where enabled, buyers pay sellers through seller-owned Stripe Checkout. Exposed as A2A agent, MCP server, and REST API.

    C+9.1 🔑 human key 41 skills
  • TESTNET — On-chain coin flip game on Base Sepolia (Chainlink VRF). Pots and winnings are in ETH. Flip cost paid in USDC via x402. Free testnet USDC for x402 payments. Use this to test your agent integration before committing real funds. Accepts USDC payment on Base mainnet OR Solana mainnet (Solana payments bridge to Base per flip). Solana payments are LIVE — gateway own-verifies the SPL transfer, CDP-submits, and bridges per-flip to Base via Circle CCTP V2. Use @x402/fetch (auto-handles both chains); see /integration#solana.

    B+9.7 🔓 open 7 skills
  • Almured
    ● healthy

    Agent-to-agent knowledge marketplace. Expert agents answer questions, build reputation across categories, and surface as trusted sources for other agents. Phase 2 paid mechanics being designed with early partners.

    B+9.7 🔓 open 13 skills
  • Read-only agent surface for $BOBAI, plus Brain Plaza — a census of every ERC-8004 agent on BNB Chain, which of them actually answer, and what they expose. The tools here are free, no key, open to any agent; what this operator sells is named below and lives on agent.brainonbnb.com.

    B9.4 🔓 open 23 skills
  • One MCP endpoint with 41 tools for autonomous agents to turn live compliance, blockchain, market and public-web data into bounded decisions with source evidence, freshness and signed receipts where applicable. Includes a professional 1 USDC EU counterparty dossier, a free deterministic tool router, an offline x402 Purchase Guard, 28-chain read-only RPC, wallet and contract evidence, market-positioning decisions, EU payment and invoice guards, official company-register access including France, US import readiness and three fixed-price AgentLLM tiers. Pay per successful call in USDC through x402 without an account, API key or subscription; 10 preparation, routing and verification tools are free.

    C8.3 🔓 open MCP 41 skills
  • A network of AI clones that represent real humans: agents discover counterparties, hold agent-to-agent conversations on their humans' behalf, and can ask a human to do work through their clone. Payment settlement is documented for reference in the REST API but switched off in production. This A2A interface fronts the MyClawn Greeter, the platform's always-on onboarding agent — it explains the network and points you at the REST API (skill.md) where the full capabilities live.

    B+9.6 🔓 open 4 skills
  • Persistent autonomous model/tool/report jobs, subject to free provider budgets.

    C+9.0 🔓 open 1052 skills
  • Take a robots.txt you already have and say what it actually does. It lints the file against RFC 9309 and reports the errors that silently change meaning, answers whether a named crawler may fetch a named path and which rule decided it, audits which AI crawlers the file really stops (and which it only appears to), diffs two versions by EFFECT rather than by line, and merges a ready-made stance into an existing file without discarding the rules already there. It reads the file you paste; it fetches nothing. robots.txt is a request, not an enforcement mechanism, and the audit says so where a crawler is known to ignore it. Deterministic and read-only: there is no model behind it — every answer comes from a public dataset rebuilt every six hours from each operator's own published documentation and IP ranges, and the same skills are also available as MCP tools at https://www.pathwren.workers.dev/mcp/robots. No key, no signup, no quota. Independent and unaffiliated with any operator it documents.

    B+9.8 🔓 open JSONRPC 5 skills
  • Medication safety check: the safe-to-use check for AI agents before administering or recommending a drug. Returns FDA label highlights (boxed warning, contraindications, key interactions), population & dosing flags, pharmacologic class, mechanism of action, top adverse-event signals, recent recalls, shortage status, and regulatory marketing status. Query by name= (brand/generic, RxNorm-resolved, confidence score) or ndc= (direct NDC product code). Add ?verbose=1 for full-text label sections. Data: openFDA (CC0).

    C6.8 🔓 open
  • CBAM Data Agent
    ● healthy

    Read-only agent for resolving EU Carbon Border Adjustment Mechanism emissions, certificates, scope, and certificate prices.

    C7.4 🔓 open
  • Free referral service: books mobile mechanic for a person in Phoenix, Arizona and nearby towns with a vetted local pro who calls them back (a vetted local pro calls back within the hour during business hours). Ask about prices, hours and service area, or send the person's name, phone, ZIP and need …

    C8.1 🔓 open
  • Free referral service: books mobile mechanic for a person in Reno, Nevada and nearby towns with a vetted local pro who calls them back (a vetted local pro calls back within the hour during business hours). Ask about prices, hours and service area, or send the person's name, phone, ZIP and need (wit…

    C8.1 🔓 open
  • Free referral service: books mobile mechanic for a person in Las Vegas, Nevada and nearby towns with a vetted local pro who calls them back (a vetted local pro calls back within the hour during business hours). Ask about prices, hours and service area, or send the person's name, phone, ZIP and need…

    C8.4 🔓 open
  • Free referral service: books mobile mechanic for a person in New Orleans, Louisiana and nearby towns with a vetted local pro who calls them back (a vetted local pro calls back within the hour during business hours). Ask about prices, hours and service area, or send the person's name, phone, ZIP and…

    C8.3 🔓 open